BEGIN {
	FS=":" ;
	OFS=";" ;
}

function unquote()
{
	gsub("^[[:space:]]*\"[[:space:]]*","",$3);
	gsub("[[:space:]]*\"[\r[:space:]]*$","",$3);
}

function results()
{
	print manufacturer,model,$1;
	manufacturer="";
	model="";
}

/.*:\*Manufacturer/ {
	unquote();
	manufacturer=$3;
	if (model != "") results();
}

/.*:\*ModelName:/ {
	unquote();
	model=$3;
	if (manufacturer != "") results();
}
